﻿namespace RestUpMVC.Representation
{
    /// <summary>
    /// Used when there is no resource to return.  This follows the NULL object pattern.
    /// </summary>
    public class EmptyRepresentation : IRepresentation
    {
        public virtual string ContentType
        {
            get { return "text/plain"; }
        }

        public void SetResource(object resource)
        {
        }

        public virtual string ConvertResource()
        {
            return string.Empty;
        }
    }
}