﻿using System.Net;
using RestUpMVC.Representation;

namespace RestUpMVC.Results
{
    /// <summary>
    /// Represents an HTTP 204 No Content result.
    /// </summary>
    public class RestNoContentResult : RestResult
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RestNoContentResult"/> class.
        /// </summary>
        public RestNoContentResult() 
            : base(HttpStatusCode.NoContent, new EmptyRepresentation())
        {
        }
    }
}