using System.Collections.Generic;

namespace RestUpMVC.BlogService.Domain
{
    public class ItemPage<T> where T : class
    {
        public int Start { get; set; }
        public int Limit { get; set; }
        public int Total { get; set; }
        public IEnumerable<T> Items { get; set; }

        public ItemPage()
        {
            Start = 0;
            Limit = 0;
            Total = 0;
            Items = new T[0];
        }
    }
}