﻿using System;

namespace RestUpMVC.Resource
{
    internal class ResourceRegistration
    {
        private readonly Type _resourceType;

        internal ResourceRegistration(Type resourceType)
        {
            if (resourceType == null) throw new ArgumentNullException("resourceType");
            _resourceType = resourceType;
        }

        internal string IdPropertyName { get; set; }

        internal string Name { get; set; }
    }
}