﻿using System.Net;

namespace RestUpMVC.Results
{
    /// <summary>
    /// Represents an HTTP 200 OK result.
    /// </summary>
    public class RestOkResult : RestResult
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RestOkResult"/> class.
        /// </summary>
        /// <param name="representation">The representation of the resource to be returned.</param>
        public RestOkResult(Representation.IRepresentation representation) 
            : base(HttpStatusCode.OK, representation)
        {
        }
    }
}